### Method

# GdkPixbuf Pixbuf save_to_callbackv

#### Declaration [src]

    gboolean
    gdk_pixbuf_save_to_callbackv (
      GdkPixbuf* pixbuf,
      GdkPixbufSaveFunc save_func,
      gpointer user_data,
      const char* type,
      char** option_keys,
      char** option_values,
      GError** error
    )

#### Description [src]

Vector version of `gdk_pixbuf_save_to_callback()`.

Saves pixbuf to a callback in format `type`, which is currently “jpeg”, “png”, “tiff”, “ico” or “bmp”.

If `error` is set, `FALSE` will be returned.

See `gdk_pixbuf_save_to_callback()` for more details.

Available since: | 2.4

#### Parameters

`save_func` | `GdkPixbufSaveFunc`
| A function that is called to save each block of data that the save routine generates.
`user_data` | `gpointer`
| User data to pass to the save function.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`type` | `const char*`
| Name of file format.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`option_keys` | An array of `utf8`
| Name of options to set.
| The argument can be `NULL`.
| The array must be `NULL`-terminated.
| The data is owned by the caller of the function.
| Each element is a NUL terminated UTF-8 string.
`option_values` | An array of `utf8`
| Values for named options.
| The argument can be `NULL`.
| The array must be `NULL`-terminated.
| The data is owned by the caller of the function.
| Each element is a NUL terminated UTF-8 string.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| Whether an error was set.